# Modify a request in status DRAFT

Note: The Language parameter is applied only when Create is true; otherwise it is ignored.

Endpoint: PUT /request/{id}
Version: 2.0.0
Security: ApiKeyAuth

## Path parameters:

  - `id` (string, required)

## Query parameters:

  - `create` (boolean)

  - `language` (string)

## Request fields (application/json):

  - `referenceId` (string)
    Optional field. It maps an id that is relevant for the Integrator. The filed is not used internally.
More requests can have the same value.

  - `parameters` (object)

  - `settings` (object)

  - `customerAttributes` (object)
    Lightweight store for additional string attributes for the Integrator. 
It may be limited in size (it is not intended to store files or large objects).

## Response 200 fields (application/json):

  - `id` (string)

  - `organizationId` (string)

  - `status` (string)
    - DRAFT: The request has not been created yet, but it can be modified
- CREATED: The request has been created, but its processing has to start yet.
- RUNNING: The request is being processed, it means that actions from users or systems still have to be completed.
- COMPLETED: Final status for a request completed successfully (according to specific request type 
               it may have warnings or unsuccessful scenarios accepted by operational behavior).
- EXPIRED: Final status for a request that has not been completed before the expiration time.
- FAILED: Final status for a request whose processing has failed.
- CANCELLED: Final status for a request that has been cancelled or completed unsuccessfully.
    Enum: "DRAFT", "CREATED", "RUNNING", "COMPLETED", "EXPIRED", "FAILED", "CANCELLED"

  - `referenceId` (string)
    Optional field. It maps an id that is relevant for the Integrator. The filed is not used internally.
More requests can have the same value.

  - `requestTypeId` (string, required)
    Identifier of the type of process associated to the request. This identifier is given to the Integrator
during initial setup of the integration project.

  - `parameters` (object)

  - `settings` (object)

  - `createdAt` (string)

  - `updatedAt` (string)

  - `finalizedAt` (string)

  - `expireAfter` (string)

  - `anonymizedAt` (string)

  - `operatorPending` (boolean)

  - `terminationReason` (string)
    Open-type enum. Current values:
  - ERROR_OPERATOR_WRONG_FIRSTNAME
  - ERROR_OPERATOR_WRONG_SURNAME
  - ERROR_OPERATOR_INVERSION_FIRSTNAME_SURNAME
  - ERROR_OPERATOR_WRONG_BIRTH_DATE
  - ERROR_OPERATOR_WRONG_BIRTH_PLACE
  - ERROR_OPERATOR_WRONG_DOCUMENT_ISSUED_COUNTRY
  - ERROR_OPERATOR_WRONG_DOCUMENT_EXPIRE_DATE
  - ERROR_OPERATOR_WRONG_DOCUMENT_ISSUING_AUTHORITY
  - ERROR_OPERATOR_WRONG_DOCUMENT_ISSUING_AUTHORITY_TYPE
  - ERROR_OPERATOR_WRONG_DOCUMENT_NUMBER
  - ERROR_OPERATOR_WRONG_DOCUMENT_ISSUING_DATE
  - ERROR_OPERATOR_WRONG_DOCUMENT_TYPE
  - ERROR_OPERATOR_WRONG_FISCAL_CODE
  - ERROR_OPERATOR_OTHER
  - ERROR_DH_IDENTITY_VERIFICATION_VALIDATION
  - ERROR_IDENTITY_OPERATOR_CANCELLED
  - ERROR_IDENTITY_OPERATOR_CHANGED_DATA
  - ERROR_IDENTITY_FIELD_REQUEST_NOT_MATCHED
  - ERROR_IDENTITY_ID_SELF
  - ERROR_IDENTITY_ID_SELF_NULL_REQUEST_INFO
  - ERROR_IDENTITY_ID_SELF_NULL_DOCUMENT_CONTROLS_SUMMARY
  - ERROR_IDENTITY_ID_SELF_NULL_DOCUMENT_CHECK_RESPONSE_REQUEST_INFO
  - ERROR_IDENTITY_ID_SELF_NULL_BIOMETRY_RESPONSE
  - ERROR_IDENTITY_ID_SELF_NULL_BIOMETRY_CONTROLS_SUMMARY
  - ERROR_IDENTITY_ID_SELF_NULL_BIOMETRY_RESPONSE_REQUEST_INFO
  - ERROR_IDENTITY_ID_SELF_NULL_DOCUMENT_TYPE
  - ERROR_IDENTITY_ID_SELF_BIOMETRY_VIDEO_NOT_TAMPERED
  - ERROR_IDENTITY_ID_SELF_BIOMETRY_LIVENESS_SEQUENCE_CONSISTENCY
  - ERROR_IDENTITY_ID_SELF_BIOMETRY_LIVENESS_IS_ALIVE
  - ERROR_IDENTITY_ID_SELF_DOCUMENT_VIDEO_NOT_TAMPERED
  - ERROR_IDENTITY_ID_SELF_DOCUMENT_NOT_ORIGINAL
  - ERROR_IDENTITY_ID_SELF_DOCUMENT_PICTURE_TAMPERED
  - ERROR_IDENTITY_ID_SELF_DOCUMENT_FONT_NOT_FAITHFUL
  - ERROR_IDENTITY_ID_SELF_DOCUMENT_TYPE_NOT_ALLOWED
  - ERROR_IDENTITY_ID_SELF_DOCUMENT_COUNTRY_UNAUTHORIZED
  - ERROR_IDENTITY_ID_SELF_DOCUMENT_EXPIRED
  - ERROR_IDENTITY_ID_SELF_DOCUMENT_SPECIMEN
  - ERROR_IDENTITY_ID_SELF_DOCUMENT_NO_BACK_SIDE_FOUND
  - ERROR_IDENTITY_ID_SELF_DOCUMENT_NO_FRONT_SIDE_FOUND
  - ERROR_IDENTITY_ID_SELF_NULL_DOCUMENT_CHECK_RESPONSE
  - ERROR_IDENTITY_ID_SELF_IDENTIFICATION_FAILED
  - ERROR_IDENTITY_ID_SELF_HOLDER_INFO_MISMATCH
  - ERROR_IDENTITY_ID_SELF_VIDEO_RECORDING_COULD_NOT_BE_ACHIEVED
  - ERROR_IDENTITY_ID_SELF_MISSING_PARAMETER
  - ERROR_IDENTITY_ID_SELF_INVALID_PARAMETER
  - ERROR_IDENTITY_ID_SELF_INVALID_URL
  - ERROR_IDENTITY_ID_SELF_BAD_QUALITY
  - ERROR_IDENTITY_ID_SELF_IMAGE_NO_TEXT_FOUND
  - ERROR_IDENTITY_ID_SELF_RECORDING_EXPIRED_OR_CANCELLED
  - ERROR_IDENTITY_ID_SELF_TOO_LARGE_CONTENT
  - ERROR_IDENTITY_ID_SELF_MRZ_BROKEN_INCOMPLETE_OR_NOT_FOUND
  - ERROR_IDENTITY_ID_SELF_BIOMETRY_FACE_DETECTION_ISSUES
  - ERROR_IDENTITY_ID_SELF_DOCUMENT_TYPE_AND_REQUESTED_TYPE_MISMATCH
  - ERROR_IDENTITY_ID_SELF_UNSUPPORTED_BANK
  - ERROR_IDENTITY_ID_SELF_LIVE_CHECK_CAN_NOT_BE_PERFORMED
  - ERROR_SIGN_INVALID_PHONE_NUMBER
  - ERROR_SIGN_INVALID_HOLDER_INFORMATION
  - ERROR_SIGN_MISSING_REQUEST_INFORMATION
  - ERROR_SIGN_EID_ASSERTION_EXPIRED
  - ERROR_SIGN_MISSING_SIGNATURE_FIELDS
  - CANCELLED_BY_USER
  - ERROR_IDENTITY_ID_SELF_STATUS_NOT_DONE
  - ERROR_SIGN_PHONE_NUMBER_ALREADY_TAKEN
  - ERROR_SIGN_GENERIC_TSP_SIGNING
  - ERROR_IDENTITY_ID_SELF_BIOMETRY_PHOTO_MISMATCH
  - ERROR_IDENTITY_ID_SELF_BIOMETRY_PASSIVE_LIVENESS
  - ERROR_IDENTITY_ID_SELF_BIOMETRY_PHOTO_MISMATCH_AND_PASSIVE_LIVENESS
  - ERROR_IDENTITY_IDHUB_OIDC_INVALID_REQUEST
  - ERROR_IDENTITY_IDHUB_OIDC_UNAUTHORIZED_CLIENT
  - ERROR_IDENTITY_IDHUB_OIDC_ACCESS_DENIED
  - ERROR_IDENTITY_IDHUB_OIDC_UNSUPPORTED_RESPONSE_TYPE
  - ERROR_IDENTITY_IDHUB_OIDC_INVALID_SCOPE
  - ERROR_IDENTITY_IDHUB_OIDC_SERVER_ERROR
  - ERROR_IDENTITY_IDHUB_OIDC_TEMPORARILY_UNAVAILABLE
  - ERROR_IDENTITY_IDHUB_OIDC_INTERACTION_REQUIRED
  - ERROR_IDENTITY_IDHUB_OIDC_LOGIN_REQUIRED
  - ERROR_IDENTITY_IDHUB_OIDC_ACCOUNT_SELECTION_REQUIRED
  - ERROR_IDENTITY_IDHUB_OIDC_CONSENT_REQUIRED
  - ERROR_IDENTITY_IDHUB_OIDC_UNKNOWN
  - ERROR_IDENTITY_ID_SELF_DEEP_FAKE_DETECTED
  - CANCELLED_BY_VERDICT
  - ERROR_IDENTITY_TOO_MANY_RETRIES
  - ERROR_IDENTITY_ID_SELF_DOCUMENT_PICTURE_PRESENT
  - CANCELLED_BY_DEVICE_MISMATCH
  - ERROR_IDENTITY_ID_SELF_DOCUMENT_MODEL_NOT_VALID
  - ERROR_DOC_PROCESSOR_PREVENT_CLIENT_SIDE
  - ERROR_DOC_PROCESSOR_PREVENT_SERVER_SIDE

  - `customerAttributes` (object)
    Lightweight store for additional string attributes for the Integrator. 
It may be limited in size (it is not intended to store files or large objects).

  - `links` (array)

  - `links.actor` (string)

  - `links.link` (string)

  - `links.expiresAfter` (string)

## Response 400 fields (application/problem+json):

  - `errors` (array)
    An array of error details to accompany a problem details response.

  - `errors.detail` (string, required)
    A human-readable explanation specific to this occurrence of the problem.

  - `errors.pointer` (string)
    A JSON Pointer to a specific request body property that is the source of error.

  - `errors.field` (string)
    The name of the field that is the source of error.

  - `errors.reason` (string)
    A machine oriented error type. Eg. additionalProperties, required

  - `type` (string)
    A URI reference that identifies the problem type.

  - `status` (integer, required)
    The HTTP status code generated by the origin server for this occurrence of the problem.

  - `title` (string)
    A short, human-readable summary of the problem type. It should not change from occurrence to occurrence of the problem, except for purposes of localization.

  - `detail` (string)
    A human-readable explanation specific to this occurrence of the problem.

  - `instance` (string)
    A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.

  - `retryable` (boolean)
    If the api call can be retried


